package health;

import flanagan.math.PsRandom;
import uchicago.src.sim.util.Random;
/*
 * Merli, M. Giovanna, Hertog, Sara, Wang, Bo and Li, Jing (2006)
'Modelling the spread of HIV/AIDS in China: The role of sexual transmission',
Population Studies, 60:1, 1 - 22
To link to this article: DOI: 10.1080/00324720500436060
 */
public class Weibull {
	PsRandom psr = new PsRandom();
	public double returnWeibull() {
		double val = psr.nextWeibull(0, 9, 6);
		return val;
	}
	
	public double returnIncidence() {
//		double val = psr.nextWeibull(0, 0.5, 0.5);
//		double val = psr.nextWeibull(0, 0.7, 0.9);
		double val = psr.nextWeibull(0.7, 1.2, 1.3);
//		double val = psr.nextWeibull(0.7, 1.5, 1.9);
		return val;
	}
	
	public double returnIncidenceMine() {
//		double val = psr.nextWeibull(0, 0.5, 0.5);
//		double val = psr.nextWeibull(0, 0.7, 0.9);
//		double val = psr.nextWeibull(0.7, 1.2, 1.3);
		double val = psr.nextWeibull(0.9, 1.9, 1.3);
		return val;
	}

	
	public static void main(String[] args) {
		Weibull w = new Weibull();
	
		int num = 1000;
		double sum = 0;
		for (int i = 0; i < num; i++) {
//			int age = Random.uniform.nextIntFromTo(6, 12);
//			double val = w.returnWeibull();
			double val = w.returnIncidenceMine();
			sum += val;
//			double val = fermi.returnValueOfFunction((double) age / 10);
			System.out.println("i: " + i + " val: " + val);
		}
		System.out.println("avg: " + sum/num);
	}

}
