package infrastructure;

/**
 * General message format used in the model
 * @author shah
 *
 */
public class Message {
	private Object sender, receiver;
	private int messageType;
	
	public Message(Object _sender, Object _receiver, int _message) {
		this.sender = _sender;
		this.receiver = _receiver;
		this.messageType = _message;
	}

	public Message() {
	}

	/**
	 * Return message type
	 * @return
	 */
	public int getMessageType() {
		return messageType;
	}

	/**
	 * Set message type
	 * @param message
	 */
	public void setMessageType(int message) {
		this.messageType = message;
	}

	/**
	 * Return message receiver
	 * @return
	 */
	public Object getReceiver() {
		return receiver;
	}

	/**
	 * Set message receiver
	 */
	public void setReceiver(Object receiver) {
		this.receiver = receiver;
	}

	/**
	 * Return message receiver
	 * @return
	 */
	public Object getSender() {
		return sender;
	}
		
	/**
	 * Set message sender
	 */
	public void setSender(Object sender) {
		this.sender = sender;
	}
}