package infrastructure;

import units.Agent;
/**
 * Sorts agents based on their age
 *
 */
public class Sorter implements Comparable {
	public int age = -1;
	public int id = -1;
	public Sorter(int _id, int _age){
        setId(_id);
        setAge(_age);
    }
    public int compareTo(Object anotherAgent) throws ClassCastException {        
        double anotherAgentsAge = ((Agent) anotherAgent).getAge();
        if (this.age > anotherAgentsAge) {
            return 1;
        } else if (this.age < anotherAgentsAge) {
            return -1;
        } else {
            return 0;
        }
    }
	public int getAge() {
		return age;
	}
	public void setAge(int age) {
		this.age = age;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
}